Page MenuHomePhabricator

Temporarily disable 'Link preview' feature
Closed, ResolvedPublic

Description

Disable the 'Link preview' and then add it to a feature branch. We will resurrect this at a later date.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterTemporarily kill hovercards until we can work out the behaviour
mediawiki/extensions/MobileFrontend : masterRename quickLookup to Hovercards

Event Timeline

kaldari created this task.May 28 2015, 11:41 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 11:41 PM

Renaming to Hovercards would at least give product consistency..

Florian claimed this task.Jul 29 2015, 4:27 PM

Change 227748 had a related patch set uploaded (by Florianschmidtwelzow):
Move quickLookup to beta and rename to Hovercards

https://gerrit.wikimedia.org/r/227748

@bmansurov Can you attach a screenshot?

@bmansurov can we play with this somewhere before promoting to beta? Also, I think event logging akin to what they have done in apps (check with @Dbrant) is a crucial blocker to successful promotion to stable.

@KHammerstein: (Obama's page)


@JKatzWMF: Yes, you can test it on your phone by going to https://en.m.wikipedia.org/wiki/Barack_Obama?mobileaction=alpha and swiping over a link.

@KHammerstein & @bmansurov The change above (https://gerrit.wikimedia.org/r/227748) fixes the white "X" (close) button to, that should be black :)

Note swiping doesn't seem to work on ios for me or desktop browsers so you'll need an Android device...

Yes, I forgot to apply your patch, @Florian.

Change 231699 had a related patch set uploaded (by Jdlrobson):
Temporarily kill hovercards until we can work out the behaviour

https://gerrit.wikimedia.org/r/231699

Jhernandez triaged this task as Medium priority.Aug 17 2015, 12:43 PM
Jhernandez edited projects, added MobileFrontend; removed Readers-Web-Backlog.
Jhernandez moved this task from Backlog to Tech debt on the MobileFrontend board.Aug 17 2015, 12:49 PM

Change 227748 merged by jenkins-bot:
Rename quickLookup to Hovercards

https://gerrit.wikimedia.org/r/227748

How is this going? Moving to next sprint's code review to give it eyeballs!

Jdlrobson renamed this task from Promote 'Link preview' to beta to Temporarily disable 'Link preview' feature.Aug 28 2015, 9:14 PM
Jdlrobson updated the task description. (Show Details)
kaldari removed a subscriber: kaldari.Aug 28 2015, 10:44 PM
phuedx closed this task as Resolved.Sep 3 2015, 10:32 AM
phuedx added a subscriber: phuedx.

This is a technical task.

I've created the Hovercards epic (T111329) to track reasoning around and design/eventual resurrection of the hovercards feature.

Thanks phuedx !

Change 231699 merged by jenkins-bot:
Temporarily kill hovercards until we can work out the behaviour

https://gerrit.wikimedia.org/r/231699